=== debian/changelog ===
deerportal (0.8.2) groovy; urgency=medium

  * Version bump for first packaging here

 -- Chris <dpkg@chris-nz.com>  Sat, 17 Apr 2021 03:48:48 +1200

deerportal (0.7.1-january-fix-ubuntu1) trusty; urgency=medium

  * Fixed January - Eastern Egg problem (thanks Poul Sander)

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Tue, 09 Jan 2018 21:33:55 +0200

deerportal (0.7.0-birthday-ubuntu1) trusty; urgency=medium

  * Notifications
  * More sounds
  * Smarter, more agressive and greedy AI
  * Credits
  * Test mode
  * Big diamond

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Fri, 10 Jun 2016 00:33:55 +0200

deerportal (0.6.0-betaubuntu2) trusty; urgency=medium

  * New dice - from Katia
  * Updated background 

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Tue, 07 Jun 2016 00:26:08 +0200

deerportal (0.6.0-betaubuntu1) trusty; urgency=low

  * New end game screen
  * Fixed several bugs
  * Fixed sorting order
  * Simply AI - playing with computer
  * New graphics - Deer God and rendered title screen

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Mon, 06 Jun 2016 23:44:00 +0200

deerportal (0.0.5-alphaubuntu6) trusty; urgency=medium

  * Removing all items after player reaches the portal
  * Clean up
  * Bug fix for game crash while taking more items than available 
  * Another approach for better debian packages

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Sun, 29 May 2016 01:00:28 +0200

deerportal (0.0.4-alpha) unstable; urgency=medium

  * Deer Mode
  * Clean up 
  * Animated Characters

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Sat, 28 May 2016 04:42:42 +0200

deerportal (0.0.3-alpha) unstable; urgency=medium

  * Bubbles
  * Clean up 

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Sat, 09 Apr 2016 04:10:42 +0200

deerportal (0.0.2alpha) unstable; urgency=medium

  * New upstream release
  * Clean up 

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Sat, 09 Apr 2016 04:10:42 +0200

deerportal (0.0.1alpha-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Fri, 08 Apr 2016 23:40:21 +0200
