=== debian/control ===
Source: deerportal
Section: games
Priority: optional
Maintainer: Rafal Zawadzki <bluszcz@devcarpet.net>
Build-Depends: debhelper-compat (= 12), libsfml-dev, cmake
Standards-Version: 4.5.0
Homepage: https://github.com/deerportal/deerportal/

Package: deerportal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Board game driven by the classical elements.
 Deer Portal is a board game where you can experience madness of being ex pagan
 who wants to be become an ancient Deer God. To achieve this, you have to play
 a dreadful game where classical elements are involved. Reach portal or die.
